ssuominen    14/04/07 18:06:45

  Modified:             wmtimer-2.92.ebuild wmtimer-2.92-r1.ebuild
                        ChangeLog
  Log:
  Use EAPI5 instead of EAPI1.
  
  (Portage version: 2.2.10/cvs/Linux x86_64, signed Manifest commit with key 
4868F14D)

Revision  Changes    Path
1.6                  x11-plugins/wmtimer/wmtimer-2.92.ebuild

file : 
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/x11-plugins/wmtimer/wmtimer-2.92.ebuild?rev=1.6&view=markup
plain: 
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/x11-plugins/wmtimer/wmtimer-2.92.ebuild?rev=1.6&content-type=text/plain
diff : 
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/x11-plugins/wmtimer/wmtimer-2.92.ebuild?r1=1.5&r2=1.6

Index: wmtimer-2.92.ebuild
===================================================================
RCS file: /var/cvsroot/gentoo-x86/x11-plugins/wmtimer/wmtimer-2.92.ebuild,v
retrieving revision 1.5
retrieving revision 1.6
diff -u -r1.5 -r1.6
--- wmtimer-2.92.ebuild 5 May 2012 05:11:59 -0000       1.5
+++ wmtimer-2.92.ebuild 7 Apr 2014 18:06:45 -0000       1.6
@@ -1,8 +1,8 @@
-# Copyright 1999-2012 Gentoo Foundation
+# Copyright 1999-2014 Gentoo Foundation
 # Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/x11-plugins/wmtimer/wmtimer-2.92.ebuild,v 
1.5 2012/05/05 05:11:59 jdhore Exp $
+# $Header: /var/cvsroot/gentoo-x86/x11-plugins/wmtimer/wmtimer-2.92.ebuild,v 
1.6 2014/04/07 18:06:45 ssuominen Exp $
 
-EAPI="1"
+EAPI=5
 
 inherit multilib toolchain-funcs
 
@@ -24,9 +24,7 @@
 
 S=${WORKDIR}/${P}/${PN}
 
-src_unpack() {
-       unpack ${A}
-       cd "${S}"
+src_prepare() {
        sed -e "s:\$(CFLAGS)::" -i Makefile
        sed -e "s:-g::g" -i Makefile
        sed -e "s:-O2:\$(CFLAGS) ${CFLAGS}:" -i Makefile
@@ -34,8 +32,7 @@
 }
 
 src_compile() {
-       emake CC="$(tc-getCC)" \
-               LIBDIR="-L/usr/$(get_libdir)" || die "emake failed."
+       emake CC="$(tc-getCC)" LIBDIR="-L/usr/$(get_libdir)"
 }
 
 src_install() {



1.7                  x11-plugins/wmtimer/wmtimer-2.92-r1.ebuild

file : 
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/x11-plugins/wmtimer/wmtimer-2.92-r1.ebuild?rev=1.7&view=markup
plain: 
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/x11-plugins/wmtimer/wmtimer-2.92-r1.ebuild?rev=1.7&content-type=text/plain
diff : 
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/x11-plugins/wmtimer/wmtimer-2.92-r1.ebuild?r1=1.6&r2=1.7

Index: wmtimer-2.92-r1.ebuild
===================================================================
RCS file: /var/cvsroot/gentoo-x86/x11-plugins/wmtimer/wmtimer-2.92-r1.ebuild,v
retrieving revision 1.6
retrieving revision 1.7
diff -u -r1.6 -r1.7
--- wmtimer-2.92-r1.ebuild      5 May 2012 05:11:59 -0000       1.6
+++ wmtimer-2.92-r1.ebuild      7 Apr 2014 18:06:45 -0000       1.7
@@ -1,8 +1,8 @@
-# Copyright 1999-2012 Gentoo Foundation
+# Copyright 1999-2014 Gentoo Foundation
 # Distributed under the terms of the GNU General Public License v2
-# $Header: 
/var/cvsroot/gentoo-x86/x11-plugins/wmtimer/wmtimer-2.92-r1.ebuild,v 1.6 
2012/05/05 05:11:59 jdhore Exp $
+# $Header: 
/var/cvsroot/gentoo-x86/x11-plugins/wmtimer/wmtimer-2.92-r1.ebuild,v 1.7 
2014/04/07 18:06:45 ssuominen Exp $
 
-EAPI="1"
+EAPI=5
 
 inherit eutils multilib toolchain-funcs
 
@@ -15,7 +15,7 @@
 KEYWORDS="amd64 ~ppc ~ppc64 ~sparc x86"
 IUSE=""
 
-RDEPEND="dev-libs/glib
+RDEPEND=">=dev-libs/glib-2
        x11-libs/gtk+:2
        x11-libs/libXpm
        x11-libs/libXext
@@ -25,19 +25,16 @@
 
 S=${WORKDIR}/${P}/${PN}
 
-src_unpack() {
-       unpack ${A}
-       cd "${S}"
-       sed -e "s:\$(CFLAGS)::" -i Makefile
-       sed -e "s:-g::g" -i Makefile
-       sed -e "s:-O2:\$(CFLAGS) ${CFLAGS}:" -i Makefile
-       sed -e "s:-o wmtimer:\$(LDFLAGS) -o wmtimer:" -i Makefile
-       epatch "${FILESDIR}"/"${PN}"-counter-fix.patch
+src_prepare() {
+       sed -i -e "s:\$(CFLAGS)::" Makefile || die
+       sed -i -e "s:-g::g" Makefile || die
+       sed -i -e "s:-O2:\$(CFLAGS) ${CFLAGS}:"  Makefile || die
+       sed -i -e "s:-o wmtimer:\$(LDFLAGS) -o wmtimer:" Makefile || die
+       epatch "${FILESDIR}"/${PN}-counter-fix.patch
 }
 
 src_compile() {
-       emake CC="$(tc-getCC)" \
-               LIBDIR="-L/usr/$(get_libdir)" || die "emake failed."
+       emake CC="$(tc-getCC)" LIBDIR="-L/usr/$(get_libdir)"
 }
 
 src_install() {



1.29                 x11-plugins/wmtimer/ChangeLog

file : 
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/x11-plugins/wmtimer/ChangeLog?rev=1.29&view=markup
plain: 
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/x11-plugins/wmtimer/ChangeLog?rev=1.29&content-type=text/plain
diff : 
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/x11-plugins/wmtimer/ChangeLog?r1=1.28&r2=1.29

Index: ChangeLog
===================================================================
RCS file: /var/cvsroot/gentoo-x86/x11-plugins/wmtimer/ChangeLog,v
retrieving revision 1.28
retrieving revision 1.29
diff -u -r1.28 -r1.29
--- ChangeLog   5 May 2012 05:11:59 -0000       1.28
+++ ChangeLog   7 Apr 2014 18:06:45 -0000       1.29
@@ -1,6 +1,10 @@
 # ChangeLog for x11-plugins/wmtimer
-# Copyright 1999-2012 Gentoo Foundation; Distributed under the GPL v2
-# $Header: /var/cvsroot/gentoo-x86/x11-plugins/wmtimer/ChangeLog,v 1.28 
2012/05/05 05:11:59 jdhore Exp $
+# Copyright 1999-2014 Gentoo Foundation; Distributed under the GPL v2
+# $Header: /var/cvsroot/gentoo-x86/x11-plugins/wmtimer/ChangeLog,v 1.29 
2014/04/07 18:06:45 ssuominen Exp $
+
+  07 Apr 2014; Samuli Suominen <[email protected]> wmtimer-2.92-r1.ebuild,
+  wmtimer-2.92.ebuild:
+  Use EAPI5 instead of EAPI1.
 
   05 May 2012; Jeff Horelick <[email protected]> wmtimer-2.92.ebuild,
   wmtimer-2.92-r1.ebuild:




Reply via email to